%define upstream_name    MooseX-Types-JSON
%define upstream_version 1.00

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    JSON datatype for Moose
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Load)
BuildRequires: perl(Devel::GlobalDestruction)
BuildRequires: perl(Devel::StackTrace)
BuildRequires: perl(Eval::Closure)
BuildRequires: perl(JSON::XS)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Types)
BuildRequires: perl(Package::DeprecationManager)
BuildArch: noarch


%{?perl_default_filter}

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.0.0-8.mga8
+ Revision: 1495686
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.0.0-7.mga7
+ Revision: 1269648
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.0.0-6.mga6
+ Revision: 1030701
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 1.0.0-5.mga6
+ Revision: 930023
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-4.mga5
+ Revision: 744182
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.0.0-3.mga5
+ Revision: 735862
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-2.mga5
+ Revision: 685583
- Mageia 5 Mass Rebuild

* Fri Aug 22 2014 sander85 <sander85> 1.0.0-1.mga5
+ Revision: 666510
- update to 1.00

* Tue Aug 19 2014 sander85 <sander85> 0.60.0-1.mga5
+ Revision: 665582
- update to 0.06

* Sun Aug 17 2014 sander85 <sander85> 0.40.0-1.mga5
+ Revision: 664568
- update to 0.04

* Sun Feb 09 2014 sander85 <sander85> 0.30.0-1.mga5
+ Revision: 587347
- update to 0.03

* Fri Oct 18 2013 umeabot <umeabot> 0.20.0-3.mga4
+ Revision: 513233
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-2.mga3
+ Revision: 370344
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 25 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 38647
- mageia rebuild
- imported package perl-MooseX-Types-JSON

